:root {
    --checkout-payment-check-mark-color: var(--primary-base-color);
    --checkout-payment-check-mark-hover-color: var(--secondary-dark-color);
    --checkout-payment-border-color: var(--primary-divider-color);
}

.CheckoutPayment {
    display: flex;
    padding: 8px 0;
    margin-bottom: 0;
    align-items: center;

    &::before {
        content: none;
    }

    &:last-child {
        border-bottom: 1px solid var(--checkout-payment-border-color);
        margin-bottom: 0;
    }

    &-Button {
        --check-mark-opacity: 0;

        width: 100%;
        padding: 1rem 3rem 1rem;
        border: 1px solid #f5f5f5;
        text-align: left;

        &::after,
        &::before {
            box-sizing: border-box;
            margin: auto;
            position: absolute;
            top: 0;
            bottom: 0;
            z-index: 1;
            transition: opacity 150ms ease-in;
            content: '';
        }

        &::after {
            width: 12px;
            height: 12px;
            border: 1px solid black;
            border-radius: 50%;
            left: 8px;
            transform: none;
        }

        &::before {
            width: 8px;
            height: 8px;
            border-radius: 50%;
            left: 10px;
            transform: none;
            opacity: 0;
            background: black;
        }

        &_isSelected {
            border-color: #141414;
            &::before {
                opacity: 1;
            }
        }

        &:not(&_isSelected):hover {
            &::after,
            &::before {
                opacity: 0.5;
            }
        }
    }
}
